Package org.apache.maven.scm.provider.git.gitexe.command

## Class AnonymousCommandLine

- java.lang.Object
- - org.codehaus.plexus.util.cli.Commandline
  - - org.apache.maven.scm.provider.git.gitexe.command.AnonymousCommandLine

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class AnonymousCommandLine
    extends org.codehaus.plexus.util.cli.Commandline

CommandLine extension to mask password

Since:
  1.9.3

### Nested Class Summary

### Nested classes/interfaces inherited from class org.codehaus.plexus.util.cli.Commandline

`org.codehaus.plexus.util.cli.Commandline.Argument, org.codehaus.plexus.util.cli.Commandline.Marker`

### Field Summary

Fields
`static java.lang.String` `PASSWORD_PLACE_HOLDER`

### Fields inherited from class org.codehaus.plexus.util.cli.Commandline

`arguments, envVars, executable, OS_NAME, WINDOWS`

### Constructor Summary

Constructors
`AnonymousCommandLine()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()` Provides an anonymous output to mask password.

### Methods inherited from class org.codehaus.plexus.util.cli.Commandline

`addArg, addArg, addArguments, addEnvironment, addSystemEnvironment, clear, clearArgs, clone, createArg, createArg, createArgument, createArgument, createMarker, execute, getArguments, getCommandline, getEnvironmentVariables, getExecutable, getLiteralExecutable, getPid, getShell, getShellCommandline, getSystemEnvVars, getWorkingDirectory, quoteArgument, setExecutable, setPid, setShell, setWorkingDirectory, setWorkingDirectory, size, toString, translateCommandline`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PASSWORD_PLACE_HOLDER

    public static final java.lang.String PASSWORD_PLACE_HOLDER

See Also:
  Constant Field Values

### Constructor Detail

#### AnonymousCommandLine

    public AnonymousCommandLine()

### Method Detail

#### toString

    public java.lang.String toString()

Provides an anonymous output to mask password. Considering URL of type : <<protocol>>://<<user>>:<<password>>@ <<host_definition>>

Overrides:
  `toString` in class `org.codehaus.plexus.util.cli.Commandline`